#include <Wire.h>
#include <SoftwareSerial.h>

char ej_tipo; // valor inicial del tipo de ej
float sens1, sens2;
String sens;

const int MPU_addr_1 = 0x68; // I2C address of the first MPU-6050
const int MPU_addr_2 = 0x69; // I2C address of the second MPU-6050
int16_t AcX1, AcY1, AcZ1, Tmp1, AcX2, AcY2, AcZ2, Tmp2; // definition of variables


void setup() {
  Wire.begin();
  Wire.beginTransmission(MPU_addr_1);
  Wire.write(0x6B);  // PWR_MGMT_1 register
  Wire.write(0);     // set to zero (wakes up the MPU-6050)
  Wire.endTransmission(true);

  Wire.begin();
  Wire.beginTransmission(MPU_addr_2);
  Wire.write(0x6B);  // PWR_MGMT_1 register
  Wire.write(0);     // set to zero (wakes up the MPU-6050)
  Wire.endTransmission(true);
  Serial.begin(9600);
   // inicializar el puerto serie a 9600 baudios
 
}

void loop() {
  // comprobar si hay datos disponibles en el puerto serie

  if (Serial.available() > 0) {
    // leer el primer byte disponible del puerto serie
    ej_tipo = Serial.read();
    

    if (ej_tipo == 'a') {
      // código a ejecutar en bucle mientras ej_tipo sea igual a 1
      Wire.beginTransmission(MPU_addr_1);
      Wire.write(0x3B);  // starting with register 0x3B (ACCEL_XOUT_H)
      Wire.endTransmission(false);
      Wire.requestFrom(MPU_addr_1, 14, true); // request a total of 14 registers
      sens1 = Wire.read() << 8 | Wire.read(); // 0x3B (ACCEL_XOUT_H) & 0x3C (ACCEL_XOUT_L)
      Serial.println(sens1);
      delay(300);

      
    } else if (ej_tipo == 'f') {
      // código a ejecutar en bucle mientras ej_tipo sea igual a 2
      Wire.beginTransmission(MPU_addr_2);
      Wire.write(0x3B);  // starting with register 0x3B (ACCEL_XOUT_H)
      Wire.endTransmission(false);
      Wire.requestFrom(MPU_addr_2, 14, true); // request a total of 14 registers
      sens2 = Wire.read() << 8 | Wire.read(); // 0x3B (ACCEL_XOUT_H) & 0x3C (ACCEL_XOUT_L)
      Serial.println(sens2);
      delay(300);
      

    } else if (ej_tipo == 'd') {
      Wire.beginTransmission(MPU_addr_1);
      Wire.write(0x3B);  // starting with register 0x3B (ACCEL_XOUT_H)
      Wire.endTransmission(false);
      Wire.requestFrom(MPU_addr_1, 14, true); // request a total of 14 registers
      sens1 = Wire.read() << 8 | Wire.read(); // 0x3B (ACCEL_XOUT_H) & 0x3C (ACCEL_XOUT_L)

      Wire.beginTransmission(MPU_addr_2);
      Wire.write(0x3B);  // starting with register 0x3B (ACCEL_XOUT_H)
      Wire.endTransmission(false);
      Wire.requestFrom(MPU_addr_2, 14, true); // request a total of 14 registers
      sens2 = Wire.read() << 8 | Wire.read(); 

      //sens = (String)sens1 + "," + (String)sens2;
      Serial.print(sens1);
      Serial.print("|");
      Serial.println(sens2);
      //Serial.println(sens);
      delay(300);

    }

  }
}

